Texa DeskDevelopers

Texa Desk Application API · Teams

Get a team details

GET/api/v1/accounts/{account_id}/teams/{team_id}

Get the details of a team in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

team_idintegerrequired

The ID of the team to be updated

Responses

200

Success

idnumber

The ID of the team

namestring

The name of the team

descriptionstring

The description about the team

allow_auto_assignboolean

If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team

account_idnumber

The ID of the account with the team is a part of

is_memberboolean

This field shows whether the current user is a part of the team

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The given team ID does not exist in the account

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring